Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 103623 - walkzor-2.1.1.ebuild (New Package)
Summary: walkzor-2.1.1.ebuild (New Package)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://walkzor.wz.cz
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-08-24 14:09 UTC by Trancelis Reconciliation
Modified: 2005-08-26 08:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
walkzor-2.1.1.ebuild (walkzor-2.1.1.ebuild,565 bytes, text/plain)
2005-08-24 14:10 UTC, Trancelis Reconciliation
Details
walkzor-2.1.1.ebuild partially fixed (walkzor-2.1.1.ebuild,806 bytes, text/plain)
2005-08-24 14:43 UTC, Trancelis Reconciliation
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trancelis Reconciliation 2005-08-24 14:09:15 UTC
Hi,     
please include this ebuild into the main portage tree, under    
media-sound/walkzor. Walkzor is an audio file converter, currently supporting    
mp3 and ogg. One can convert a directory recursively from one format to    
another, or even from one format to the same (resampling etc). ID3/meta tag    
support, config file, commandline switches, nice portage-like colored output.    
Supports gettext and already has a czech i18n (default is en). Written in    
Python.    
                                      Thanks, Trancelis
Comment 1 Trancelis Reconciliation 2005-08-24 14:10:34 UTC
Created attachment 66803 [details]
walkzor-2.1.1.ebuild
Comment 2 Ciaran McCreesh 2005-08-24 14:19:00 UTC
Please fix the following and reopen:

* HOMEPAGE needs to be set
* SRC_URI is invalid.
* KEYWORDS are incorrect.
* IUSE needs to be set.
* The msgfmt stuff needs to be in src_compile, have error checking and probably
adds a gettext dep.
* Header is invalid.
Comment 3 Trancelis Reconciliation 2005-08-24 14:40:39 UTC
Comment on attachment 66803 [details]
walkzor-2.1.1.ebuild

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/walkzor/walkzor-2.1.1.ebuild,v
1.2 2005/08/24 23:30:54 trancelis; Exp $

inherit eutils

DESCRIPTION="Audio file conversion tool supporting media tags"

HOMEPAGE="http://walkzor.wz.cz/"
SRC_URI="http://walkzor.wz.cz/releases/${P}.tar.bz2"
RESTRICT="nomirror"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86"
IUSE=""

DEPEND="media-sound/lame
	media-sound/vorbis-tools
	dev-python/pyvorbis
	dev-python/pyid3lib
	sys-devel/gettext"

src_install() {
	dobin walkzor
	for file in *.po
	do
		msgfmt -o walkzor.mo "$file"
		insinto /usr/share/locale/${file%%.po}/LC_MESSAGES
		doins walkzor.mo
		rm -f walkzor.mo
	done
}
Comment 4 Trancelis Reconciliation 2005-08-24 14:43:37 UTC
Created attachment 66808 [details]
walkzor-2.1.1.ebuild partially fixed

I don't quite understand that src_compile part ... could you explain please ?
Comment 5 Trancelis Reconciliation 2005-08-24 14:45:33 UTC
and sorry for that ebuild posted to the comments... I don't bugzilla so much  
Comment 6 Trancelis Reconciliation 2005-08-25 00:58:56 UTC
please help  
Comment 7 Trancelis Reconciliation 2005-08-26 08:03:16 UTC
Okay, never mind, with this response speed it's not worth it. Before you even  
try to add my ebuild to the tree I'd be releasing 5th another. Bye  
Comment 8 Ciaran McCreesh 2005-08-26 08:29:01 UTC
Patience... There're something like 600 ebuilds in the list, and much as I'd
like to be able to work on them all at once, I can't.
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2005-08-26 08:34:33 UTC
(In reply to comment #7)
> Okay, never mind, with this response speed it's not worth it. Before you even  
> try to add my ebuild to the tree I'd be releasing 5th another. Bye  

Please understand, that fixing your broken ebuild is not developers' duty, it's
purely voluntary help. Instead of complaining here you could meanwhile read some
docs on writing ebuilds [1], have a look at current ebuilds in the portage tree
and try to fix the remaining problems. 

[1] 
http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=1
http://dev.gentoo.org/~plasmaroo/devmanual/
http://dev.gentoo.org/~liquidx/ebuildmistakes/